load u1;

x = u1(1:200);

a = lpc(x,3);

est_x = filter([0 -a(2:end)],1,x);    % x estimada}

e = x - est_x;                        %  error}

[acs,lags] = xcorr(e,'coeff');   % Autocorrelacion del error}

plot(1:200,x(1:200),1:200,est_x(1:200),'--');

title('Seal Original letra U vs. Estimado LPC ');

xlabel('Numero de muestra'); ylabel('Amplitud'); 
grid;
legend('Seal Original','LPC Estimado')

pause

plot(lags,acs); 

title('Autocorrelation del error');

xlabel('Intervalos'); ylabel('Valor normalizado'); grid; 
